package org.apache.torque.test;

/**
 * This is a Torque Generated class that is used to load all database map 
 * information at once.  This is useful because Torque's default behaviour
 * is to do a "lazy" load of mapping information, e.g. loading it only
 * when it is needed.<p>
 *
 * @see org.apache.torque.map.DatabaseMap#initialize() DatabaseMap.initialize() 
 */
public class BaseDatabaseMapInitDatabaseMapInit
{
    public static final void init()
    {
        NotUsedBeforeMapInitPeer.getNotUsedBeforeMapInitPeerImpl();
        SecondMapInitPeer.getSecondMapInitPeerImpl();
        OptionPeer.getOptionPeerImpl();
    }
}
